Bug 1480645 (CVE-2017-11735) - CVE-2017-11735 libvorbis: NULL pointer dereference in vorbis_block_clear function in lib/block.c
Summary: CVE-2017-11735 libvorbis: NULL pointer dereference in vorbis_block_clear func...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-11735
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1480648 1480649 1480650
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-11 14:54 UTC by Pedro Sampaio
Modified: 2019-09-29 14:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:20:37 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-08-11 14:54:00 UTC
A flaw was found in libvorbis 1.3.5. The vorbis_block_clear function in lib/block.c in Xiph.Org libvorbis 1.3.5 can cause a denial of service(NULL pointer 
dereference and application crash) via a crafted ogg file.

References:

http://seclists.org/fulldisclosure/2017/Jul/82

Comment 1 Pedro Sampaio 2017-08-11 14:58:23 UTC
Created libvorbis tracking bugs for this issue:

Affects: fedora-all [bug 1480650]


Created mingw-libvorbis tracking bugs for this issue:

Affects: epel-7 [bug 1480649]
Affects: fedora-all [bug 1480648]


Note You need to log in before you can comment on or make changes to this bug.